# node property

BigInteger get node

Gets the node identifier from a time-based UUID (version 1).

Returns:

- Node identifier (48 bits)
- Throws UnsupportedError if not a version 1 UUID

In this implementation, the node identifier is randomly generated for privacy protection rather than using the actual MAC address.

## Implementation

    BigInteger get node {
      if (version != 1) {
        throw UnsupportedError('Node is only available for version 1 UUIDs');
      }

      return _leastSigBits & BigInteger.fromInt(0xFFFFFFFFFFFF);
    }